﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Call.aspx.cs" Inherits="Call" %>

<%@ Register src="DisplayData.ascx" tagname="DisplayData" tagprefix="uc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

	<asp:Label ID="LabelError" runat="server" EnableViewState="false" CssClass="ERR"></asp:Label>

	<br />

	Host: <asp:DropDownList ID="DropDownListHost" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListHost_SelectedIndexChanged"></asp:DropDownList>
	Search: <asp:TextBox ID="TextBoxSerach" runat="server"></asp:TextBox>
	<asp:Button ID="ButtonSearch" runat="server" Text="Search" OnClick="ButtonSearch_Click" />

	<hr />

	<h2>Methods</h2>
	<asp:GridView ID="GridViewMethods" runat="server" CssClass="T1" Width="100%" AutoGenerateColumns="false" DataKeyNames="Assembly, Type, Method, ParameterText" OnSelectedIndexChanged="GridViewMethods_SelectedIndexChanged">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		<SelectedRowStyle CssClass="T1S" />
		<Columns>
			<asp:BoundField HeaderText="Id" DataField="Id" Visible="false" />
			<asp:BoundField HeaderText="Assembly" DataField="Assembly" />
			<asp:BoundField HeaderText="Type" DataField="Type" />
			
			<asp:TemplateField HeaderText="Method">
					<ItemTemplate>
						<asp:LinkButton ID="LinkButtonMethod" runat="server" 
							Text='<%# Eval("Method") %>' CommandName="Select"></asp:LinkButton>
					</ItemTemplate>
				</asp:TemplateField>

			<asp:BoundField HeaderText="Parameters" DataField="ParameterText" />
			<asp:BoundField HeaderText="Return" DataField="ReturnText" />
			<asp:BoundField HeaderText="IsStatic" DataField="IsStatic" />

			<asp:BoundField HeaderText="CheckSum" DataField="CheckSum"  Visible="false"/>
		</Columns>
	</asp:GridView>

	<hr />

	<h2>Constructors</h2>
	<asp:GridView ID="GridViewConstructors" runat="server" CssClass="T1" Width="100%" AutoGenerateColumns="false" DataKeyNames="ParameterText" OnSelectedIndexChanged="GridViewConstructors_SelectedIndexChanged">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		<SelectedRowStyle CssClass="T1S" />
		<Columns>
			<asp:BoundField HeaderText="Id" DataField="Id" Visible="false" />
			<asp:BoundField HeaderText="Assembly" DataField="Assembly" />
			<asp:BoundField HeaderText="Type" DataField="Type" />


			<asp:TemplateField HeaderText="Method">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonConstructor" runat="server" 
						Text='<%# Eval("Method") %>' CommandName="Select"></asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>

			<asp:BoundField HeaderText="Parameters" DataField="ParameterText" />

		</Columns>
	</asp:GridView>

	<hr />

	<asp:GridView ID="GridViewParameters" runat="server" Width="100%" AutoGenerateColumns="false" CssClass="T1" OnRowDataBound="GridViewParameters_RowDataBound" DataKeyNames="Index">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		<SelectedRowStyle CssClass="T1S" />

		<Columns>

			<asp:BoundField HeaderText="Index" DataField="Index" />
			<asp:BoundField HeaderText="Name" DataField="Name" />
			<asp:BoundField HeaderText="Type" DataField="Type" />

			<asp:TemplateField>
				<ItemTemplate>
					<asp:TextBox ID="TextBoxParameter" runat="server"></asp:TextBox>
				</ItemTemplate>
			</asp:TemplateField>

		</Columns>

	</asp:GridView>

	<hr />

	<table style="width:100%">
		<tr>
			<td style="width:240px">
				<asp:GridView ID="GridViewFlags" runat="server" DataKeyNames="Abbreviation" CssClass="T1">
					<HeaderStyle CssClass="T1H" />
					<RowStyle CssClass="T1R" />
					<AlternatingRowStyle CssClass="T1A" />
					<Columns>
						<asp:TemplateField>
							<ItemTemplate>
								<asp:CheckBox ID="CheckBoxFlag" runat="server" />
							</ItemTemplate>
						</asp:TemplateField>
					</Columns>
				</asp:GridView>
			</td>
			<td>
				<asp:Button ID="ButtonMakeText" runat="server" Text="Make Call Text" OnClick="ButtonMakeText_Click" />
				Address:<asp:DropDownList ID="DropDownListTarget" runat="server"></asp:DropDownList> (Host only means run in web service, result will be returned)
				<br />

				<asp:TextBox ID="TextBoxCallText" runat="server" Height="360px" TextMode="MultiLine" Width="100%"></asp:TextBox>
				<asp:Button ID="ButtonRunText" runat="server" Text="Run Call Text" OnClick="ButtonRunText_Click" />
			</td>
		</tr>
	</table>

	<hr />
	
	<uc1:DisplayData ID="DisplayDataResult" runat="server" EnableViewState="false" />

</asp:Content>

