﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Config.aspx.cs" Inherits="Config" ValidateRequest="false" %>

<%@ Register src="DataTableEdit.ascx" tagname="DataTableEdit" tagprefix="uc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

	<asp:Label ID="LabelError" runat="server" EnableViewState="false" Font-Bold="true" BackColor="Red" ForeColor="White"></asp:Label>

	<asp:Button ID="ButtonQuery" runat="server" Text="Query" OnClick="ButtonQuery_Click" />

	<asp:DropDownList ID="DropDownListFlags" runat="server"></asp:DropDownList>
	<asp:Button ID="ButtonFlagTrue" runat="server" Text="Flags On" OnClick="ButtonFlagTrue_Click" />
	<asp:Button ID="ButtonFlagFalse" runat="server" Text="Flags Off" OnClick="ButtonFlagFalse_Click" />
	<hr />

	<h2>Organizations</h2>
	<uc1:DataTableEdit ID="DataTableEditOrganizations" runat="server" />

	<h2>Networks</h2>
	<uc1:DataTableEdit ID="DataTableEditNetworks" runat="server" />

	<h2>Hosts</h2>
	<uc1:DataTableEdit ID="DataTableEditHosts" runat="server" />

	<hr />

	<h3>Send and View Host Configuration files (Spludlow.config)</h3>
	<p>Here you can push out the config files to all hosts. Normally just tick the required hosts and click the "Send Spludlow.config" button. If adding a new host use the link under the "Offline (New Host)" column.</p>
	<asp:Button ID="ButtonToggleHosts" runat="server" Text="Toggle Hosts" OnClick="ButtonToggleHosts_Click" />
	<asp:GridView ID="GridViewHosts" runat="server" AutoGenerateColumns="False" CssClass="T1" DataKeyNames="HostId">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		
		<Columns>

			<asp:TemplateField>
				<ItemTemplate>
					<asp:CheckBox ID="CheckBoxHost" runat="server" />
				</ItemTemplate>
			</asp:TemplateField>

			<asp:BoundField HeaderText="Host" DataField="HostId" />

			<asp:HyperLinkField HeaderText="Online (Normal)" DataTextField="HostId" DataNavigateUrlFields="ConfigMakeOnline" />

			<asp:HyperLinkField HeaderText="Offline (New Host)" DataTextField="HostId" DataNavigateUrlFields="ConfigMakeOffline" />

		</Columns>

	</asp:GridView>

	<asp:Button ID="ButtonSend" runat="server" Text="Send Spludlow.config" OnClick="ButtonSend_Click" />
	
	<hr />
	<asp:Literal ID="LiteralConfig" runat="server" EnableViewState="false"></asp:Literal>
	<hr />

	<h3>Quick Add Host</h3>
	<p>Use this to quickly add a Node host, copy and paste values from the SETUP.txt file on the new host</p>
	<table>
		<tr>
			<td>MachineName</td>
			<td><asp:TextBox ID="TextBoxMachineName" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td>Network</td>
			<td><asp:DropDownList ID="DropDownListNetwork" runat="server"></asp:DropDownList></td>
		</tr>
		<tr>
			<td>Spludlow-WebService-Admin</td>
			<td><asp:TextBox ID="TextBoxSpludlowWebServiceAdmin" runat="server" Width="320px"></asp:TextBox></td>
		</tr>
		<tr>
			<td>Spludlow-WebService</td>
			<td><asp:TextBox ID="TextBoxSpludlowWebService" runat="server" Width="320px"></asp:TextBox></td>
		</tr>
		<tr>
			<td></td>
			<td><asp:Button ID="ButtonAddHost" runat="server" Text="Add Host" OnClick="ButtonAddHost_Click" /></td>
		</tr>
	</table>
	
	
	
	
	
	
	
	<hr />

</asp:Content>

