﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DataTableEdit.ascx.cs" Inherits="DataTableEdit" %>

<asp:GridView ID="GridViewData" runat="server" CssClass="T1">
	<HeaderStyle CssClass="T1H" /><RowStyle CssClass="T1R" /><AlternatingRowStyle CssClass="T1A" />
	<Columns>
		<asp:TemplateField>
			<ItemTemplate>
				<asp:CheckBox ID="CheckBoxRow" runat="server" />
			</ItemTemplate>
		</asp:TemplateField>
	</Columns>
</asp:GridView>

<asp:Label ID="LabelError" runat="server" EnableViewState="False" 
	BackColor="Red" Font-Bold="True" ForeColor="White"></asp:Label>

<asp:Panel ID="PanelDisplay" runat="server">

	<asp:Button ID="ButtonEdit" runat="server" Text="Edit/New" 
		onclick="ButtonEdit_Click" />
	<asp:Button ID="ButtonDelete" runat="server" Text="Delete" 
		onclick="ButtonDelete_Click" />

</asp:Panel>

<asp:Panel ID="PanelEdit" runat="server">

	<table>
	<asp:DataList ID="DataListRecord" runat="server" DataKeyField="ColumnName">
		<ItemTemplate>
		<tr>
			<td>
				<asp:Label ID="LabelColumnName" runat="server" Text='<%# Eval("ColumnName") %>'></asp:Label>
			</td>
			<td>
				<asp:TextBox ID="TextBoxDataDisplay" runat="server"
				Width='<%# Eval("TextBoxWidth") %>' Height='<%# Eval("TextBoxHeight") %>'
				TextMode='<%# Eval("TextBoxMode") %>' Text='<%# Eval("DataDisplay") %>'></asp:TextBox>
			</td>
			<td>
				<asp:Label ID="LabelColumnInfo" runat="server" Text='<%# Eval("ColumnInfo") %>'></asp:Label>
			</td>
		</tr>
		</ItemTemplate>
	</asp:DataList>
	</table>

	<asp:Button ID="ButtonUpdate" runat="server" Text="Update" 
		onclick="ButtonUpdate_Click" />
	<asp:Button ID="ButtonCancel" runat="server" Text="Cancel" 
		onclick="ButtonCancel_Click" />

</asp:Panel>