﻿//	Spludlow Software
//	Copyright © Samuel P. Ludlow 2020 All Rights Reserved
//	Distributed under the terms of the GNU General Public License version 3
//	Distributed WITHOUT ANY WARRANTY; without implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE
//	https://www.spludlow.co.uk/LICENCE.TXT
//	The Spludlow logo is a registered trademark of Samuel P. Ludlow and may not be used without permission
//	v1.14

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Web.Security;

public partial class MasterPage : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
		Spludlow.WebMenu.PageLoad(this, "Spludlow-IntranetV1");

		this.FootLeft.Text = DateTime.Now.ToString();
    }

	protected void LinkButtonLogOut_Click(object sender, EventArgs e)
	{
		FormsAuthentication.SignOut();
		FormsAuthentication.RedirectToLoginPage();
	}
}
