﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Fractals.aspx.cs" Inherits="Fractals" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

	<asp:Label ID="LabelError" runat="server" EnableViewState="false" CssClass="ERR"></asp:Label>


	<table>

		<tr>
			<td style="vertical-align:top;">

				<table>
					<tr>
						<th>Zoom</th>
						<td><asp:DropDownList ID="DropDownListZoom" runat="server"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Fractal Type</th>
						<td><asp:DropDownList ID="DropDownListFractalType" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListFractalType_SelectedIndexChanged"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Page Size</th>
						<td><asp:DropDownList ID="DropDownListPageSize" runat="server"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Landscape</th>
						<td><asp:CheckBox ID="CheckBoxLandscape" runat="server" /></td>
					</tr>
					<tr>
						<th>Render DPI</th>
						<td><asp:DropDownList ID="DropDownListRenderDpi" runat="server"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Preview Size</th>
						<td><asp:DropDownList ID="DropDownListPreviewSize" runat="server"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Iterations</th>
						<td><asp:DropDownList ID="DropDownListIterations" runat="server"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Pallete Step</th>
						<td><asp:DropDownList ID="DropDownListPalleteFactor" runat="server"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Parameters</th>
						<td><asp:TextBox ID="TextBoxParameters" runat="server"></asp:TextBox></td>
					</tr>
					<tr>
						<th>Preview Host</th>
						<td><asp:DropDownList ID="DropDownListPreviewHost" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListPreviewHost_SelectedIndexChanged"></asp:DropDownList><asp:TextBox ID="TextBoxPreviewCores" runat="server" Width="32px"></asp:TextBox></td>
					</tr>
					<tr>
						<th></th>
						<td><asp:Button ID="ButtonRefresh" runat="server" Text="Refresh" OnClick="ButtonRefresh_Click" /></td>
					</tr>

				</table>

				<hr />

				<strong>Render Hosts</strong>
				<asp:GridView ID="GridViewHosts" runat="server" CssClass="T1" DataKeyNames="HostId" AutoGenerateColumns="false">
					<HeaderStyle CssClass="T1H" />
					<RowStyle CssClass="T1R" />
					<AlternatingRowStyle CssClass="T1A" />

					<Columns>

						<asp:BoundField HeaderText="Host" DataField="HostId" ItemStyle-Wrap="false" />

						<asp:TemplateField HeaderText="Use Cores">
							<ItemTemplate>
								<asp:TextBox ID="TextBoxUseCores" Text='<%# Eval("UseCores") %>' Width="32px" runat="server"></asp:TextBox>
							</ItemTemplate>
				
						</asp:TemplateField>

						<asp:BoundField HeaderText="Info" DataField="Info" />

					</Columns>

				</asp:GridView>

				<hr />

				<table>
					<tr>
						<th>Result Host</th>
						<td><asp:DropDownList ID="DropDownListResultHost" runat="server"></asp:DropDownList></td>
					</tr>
					<tr>
						<th>Directory</th>
						<td><asp:TextBox ID="TextBoxDestination" runat="server" Width="256px"></asp:TextBox></td>
					</tr>
					<tr>
						<th></th>
						<td><asp:Button ID="ButtonRender" runat="server" Text="Render" OnClick="ButtonRender_Click" /></td>
					</tr>
				</table>
				
			</td>
			<td>
				<asp:ImageButton ID="ImageButtonPreview" runat="server" OnClick="ImageButtonPreview_Click" />
			</td>
		</tr>

	</table>
	
	<hr />

	<asp:TextBox ID="TextBoxFractalInfo" runat="server" Width="100%"></asp:TextBox>
	<asp:Button ID="ButtonLoad" runat="server" Text="Load" OnClick="ButtonLoad_Click" />

</asp:Content>

