﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Logs.aspx.cs" Inherits="Logs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">


	<asp:Button ID="ButtonQuery" runat="server" Text="Page 1" OnClick="ButtonQuery_Click" />

	<asp:Button ID="ButtonMark" runat="server" Text="Mark" OnClick="ButtonMark_Click" />

	<asp:TextBox ID="TextBoxSearch" runat="server"></asp:TextBox>
	<asp:DropDownList ID="DropDownListSearch" runat="server">
	</asp:DropDownList>

	<hr />

	<asp:Button ID="ButtonPagePrev" runat="server" Text="<" OnClick="ButtonPagePrev_Click" />
	<asp:Literal ID="LiteralPage" runat="server"></asp:Literal>
	<asp:Button ID="ButtonPageNext" runat="server" Text=">" OnClick="ButtonPageNext_Click" />

	<asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListPageSize_SelectedIndexChanged"></asp:DropDownList>

	<asp:GridView ID="GridViewLogs" runat="server" EnableViewState="false" Width="100%" CssClass="T1" AutoGenerateColumns="false" OnRowDataBound="GridViewLogs_RowDataBound">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />

		<Columns>

			<asp:BoundField DataField="LogTime" HeaderText="Date" DataFormatString="{0:dd/MM/yyyy}" />

			<asp:HyperLinkField DataTextField="LogTime" DataTextFormatString="{0:HH:mm:ss}" HeaderText="Time" DataNavigateUrlFields="LogId" DataNavigateUrlFormatString="Log.aspx?LogId={0}" />

			<asp:BoundField DataField="BodyCount" HeaderText="Bs" />

			<asp:BoundField DataField="HostId" HeaderText="Host" ItemStyle-Wrap="false" />
			<asp:BoundField DataField="WebSite" HeaderText="WebSite" />
			<asp:BoundField DataField="Application" HeaderText="Application" />
			<asp:BoundField DataField="PId" HeaderText="PId" />
			<asp:BoundField DataField="Thread" HeaderText="Thread" />
					
			<asp:BoundField DataField="Subject" HeaderText="Subject" />
					

			<asp:BoundField DataField="OrganizationId" HeaderText="Org" />
			<asp:BoundField DataField="NetworkId" HeaderText="Net" />

			<asp:BoundField DataField="MethodAssembly" HeaderText="Ass" />
			<asp:BoundField DataField="MethodType" HeaderText="Type" />
			<asp:BoundField DataField="Method" HeaderText="Method" />

			<asp:BoundField DataField="RequestUrl" HeaderText="RequestUrl" />
			<asp:BoundField DataField="CommandLine" HeaderText="CommandLine" Visible="false" />

			<asp:BoundField DataField="UserDomain" HeaderText="User Domain" />
			<asp:BoundField DataField="UserName" HeaderText="User Name" />
			<asp:BoundField DataField="IdentityName" HeaderText="Identity Name" />
			<asp:BoundField DataField="Version" HeaderText="Version" Visible="false"/>
			<asp:BoundField DataField="OSVersion" HeaderText="OSVersion" Visible="false" />


		</Columns>

	</asp:GridView>

	<asp:Button ID="ButtonPagePrev2" runat="server" Text="<" OnClick="ButtonPagePrev_Click" />
	<asp:Literal ID="LiteralPage2" runat="server"></asp:Literal>
	<asp:Button ID="ButtonPageNext2" runat="server" Text=">" OnClick="ButtonPageNext_Click" />

	

</asp:Content>

