﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Status.aspx.cs" Inherits="Status" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	
	<asp:Button ID="ButtonQuery" runat="server" Text="Query" OnClick="ButtonQuery_Click" />

	<asp:CheckBox ID="CheckBoxExtended" runat="server" Text="Extended Info" />

	<asp:Panel ID="PanelWebButtons" runat="server" Visible="false" style="display:inline;">
		<asp:Button ID="ButtonRecycleWeb" runat="server" Text="Recycle Web" OnClick="ButtonRecycleWeb_Click" />
		<asp:Button ID="ButtonStartWeb" runat="server" Text="Start Web" OnClick="ButtonStartWeb_Click" />
		<asp:Button ID="ButtonStopWeb" runat="server" Text="Stop Web" OnClick="ButtonStopWeb_Click" />
	</asp:Panel>

	<asp:Panel ID="PanelServiceButtons" runat="server" Visible="false" style="display:inline;">
		<asp:Button ID="ButtonStartService" runat="server" Text="Start Service" OnClick="ButtonStartService_Click" />
		<asp:Button ID="ButtonStopService" runat="server" Text="Stop Service" OnClick="ButtonStopService_Click" />
	</asp:Panel>

	<asp:Panel ID="PanelThreadButtons" runat="server" Visible="false" style="display:inline;">
		<asp:Button ID="ButtonStartThread" runat="server" Text="Start Thread" OnClick="ButtonStartThread_Click" />
		<asp:Button ID="ButtonStopThread" runat="server" Text="Stop Thread" OnClick="ButtonStopThread_Click" />
		<asp:Button ID="ButtonParkThread" runat="server" Text="Park Thread" OnClick="ButtonParkThread_Click" />
		<asp:Button ID="ButtonUnParkThread" runat="server" Text="Un Park Thread" OnClick="ButtonUnParkThread_Click" />
	</asp:Panel>

	<asp:Button ID="ButtonAutoStart" runat="server" Text="Auto Start" OnClick="ButtonAutoStart_Click" />

	<asp:Label ID="LabelError" runat="server" EnableViewState="false" CssClass="ERR"></asp:Label>

	<asp:GridView ID="GridView1" runat="server" EnableViewState="True" CssClass="T1" AutoGenerateColumns="False" OnRowDataBound="GridView1_RowDataBound" DataKeyNames="TaskType, HostId, ApplicationId, Hosted, Thread, QueueName" Width="100%" OnSelectedIndexChanged="GridView1_SelectedIndexChanged">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		<SelectedRowStyle CssClass="T1S" />

		<Columns>

			<asp:BoundField HeaderText="Organization" DataField="OrganizationId" />
			<asp:BoundField HeaderText="Network" DataField="NetworkId" />

			<asp:TemplateField HeaderText="Host" ItemStyle-Wrap="false">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonHost" runat="server" Text='<%# Eval("HostId") %>' CommandName="Select">
					</asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>

			
			<asp:BoundField HeaderText="Task Type" DataField="TaskType" />


			<asp:BoundField HeaderText="ApplicationId" DataField="ApplicationId"  ItemStyle-Wrap="false" />
			<asp:BoundField HeaderText="Hosted" DataField="Hosted"  ItemStyle-Wrap="false" />

			<asp:BoundField HeaderText="Thread" DataField="Thread" />
			
			

			<asp:BoundField HeaderText="Service State" DataField="ServiceState" />
			<asp:BoundField HeaderText="Thread State" DataField="ThreadState" />
			<asp:BoundField HeaderText="Started" DataField="StartedTime" />
			<asp:BoundField HeaderText="Last Error" DataField="LastError" />
			<asp:BoundField HeaderText="Last Error Time" DataField="LastErrorTime" />
			<asp:BoundField HeaderText="Assembly" DataField="Assembly" />
			<asp:BoundField HeaderText="Type" DataField="Type" />
			<asp:BoundField HeaderText="Method" DataField="Method" />
			<asp:BoundField HeaderText="Parameters" DataField="Parameters" />
			<asp:BoundField HeaderText="Constructor" DataField="ConstructorArguments" />
					
			<asp:BoundField HeaderText="Queue Length" DataField="QueueLength" />

			<asp:BoundField HeaderText="Domain" DataField="UserDomain" />

			<asp:BoundField HeaderText="User" DataField="UserName"  ItemStyle-Wrap="false" />

			<asp:BoundField HeaderText="Arch" DataField="Architecture" />

		</Columns>

	</asp:GridView>



	<asp:Panel ID="PanelQueue" runat="server" Visible="false">
		
		<hr />
		
		<h2>
			<asp:Literal ID="LiteralQueue" runat="server"></asp:Literal>
		</h2>
		<asp:Button ID="ButtonToggle" runat="server" Text="Toggle" OnClick="ButtonToggle_Click" />
		
		Page:<asp:Button ID="ButtonQueuePagePrev" runat="server" Text="<-" OnClick="ButtonQueuePagePrev_Click" /><asp:Literal ID="LiteralQueuePage" Text="" runat="server"></asp:Literal><asp:Button ID="ButtonQueuePageNext" runat="server" Text="->" OnClick="ButtonQueuePageNext_Click" />

		<asp:GridView ID="GridViewQueueMessages" runat="server" CssClass="T1" Width="100%" AutoGenerateColumns="false" DataKeyNames="Id">
			<HeaderStyle CssClass="T1H" />
			<RowStyle CssClass="T1R" />
			<AlternatingRowStyle CssClass="T1A" />
			<SelectedRowStyle CssClass="T1S" />
			<Columns>
				<asp:TemplateField>
					<ItemTemplate>
						<asp:CheckBox ID="CheckBoxMessage" runat="server" />
					</ItemTemplate>
				</asp:TemplateField>
				<asp:HyperLinkField HeaderText="Id" DataTextField="Id" DataNavigateUrlFields="Host, Queue, Id" DataNavigateUrlFormatString="CallSet.aspx?Host={0}&Queue={1}&Message={2}" />
				<asp:BoundField HeaderText="Arrived Time" DataField="ArrivedTime" />
				<asp:BoundField HeaderText="Host" DataField="Host" Visible="false" />
				<asp:BoundField HeaderText="Queue" DataField="Queue" Visible="false" />
				<asp:BoundField HeaderText="Method Count" DataField="MethodCount" />
				<asp:BoundField HeaderText="Method Index" DataField="MethodIndex" />
				<asp:BoundField HeaderText="Assembly" DataField="Assembly" />
				<asp:BoundField HeaderText="Type" DataField="Type" />
				<asp:BoundField HeaderText="Method" DataField="Method" />
				<asp:BoundField HeaderText="Parameters" DataField="Parameters" />
				<asp:BoundField HeaderText="Constructor" DataField="Constructor" />

			</Columns>
		</asp:GridView>

		<asp:CheckBox ID="CheckBoxSure" runat="server" Text="Sure?" />
		<asp:Button ID="ButtonDeleteMessage" runat="server" Text="Delete Message" OnClick="ButtonDeleteMessage_Click" />
		<asp:Button ID="ButtonPurgeQueue" runat="server" Text="PurgeQueue" OnClick="ButtonPurgeQueue_Click" />
		
	</asp:Panel>

</asp:Content>

